Автор Тема: ошибки при установки пакета (любого пакета)  (Прочитано 12545 раз)

0 Пользователей и 2 Гостей просматривают эту тему.

Оффлайн vaynah

Прошу помощи в решении проблемы.
имеется VPS с Debian 7 на борту. при установке командой
 
apt-get install

любого пакета выдает
Spoiler: ShowHide

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 114 пакетов не обновлено.
не установлено до конца или удалено 7 пакетов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
dpkg: ошибка при обработке параметра libsasl2-2:amd64 (--configure):
 пакет libsasl2-2:amd64 2.1.25.dfsg1-6+deb7u1 не может быть настроен, так как libsasl2-2:i386 другой версии (2.1.25.dfsg1-6)
Настраивается пакет exim4-config (4.80-7) …
2014-04-09 15:02:37 Exim configuration error in line 550 of /var/lib/exim4/config.autogenerated.tmp:
  authenticator cram: cannot find authenticator driver "cyrus_sasl"
Invalid new configfile /var/lib/exim4/config.autogenerated.tmp, not installing
/var/lib/exim4/config.autogenerated.tmp to /var/lib/exim4/config.autogenerated
dpkg: ошибка при обработке параметра exim4-config (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
dpkg: зависимости пакетов не позволяют настроить пакет exim4-base:
 exim4-base зависит от exim4-config (>= 4.30) | exim4-config-2, однако:
  Пакет exim4-config пока не настроен.
  Пакет exim4-config-2 не установлен.
  Пакет exim4-config, предоставляющий exim4-config-2, пока не настроен.

dpkg: ошибка при обработке параметра exim4-base (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет exim4-daemon-light:
 exim4-daemon-light зависит от exim4-base (>= 4.80), однако:
  Пакет exim4-base пока не настроен.

dpkg: ошибка при обработке параметра exim4-daemon-light (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет exim4:
 exim4 зависит от exim4-base (>= 4.80), однако:
  Пакет exim4-base пока не настроен.
 exim4 зависит от exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom, однако:
  Пакет exim4-daemon-light пока не настроен.
  Пакет exim4-daemon-heavy не установлен.
  Пакет exim4-daemon-custom не установлен.

dpkg: ошибка при обработке параметра exim4 (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет libsasl2-modules:amd64:
 libsasl2-modules:amd64 зависит от libsasl2-2 (= 2.1.25.dfsg1-6+deb7u1), однако:
  Пакет libsasl2-2:amd64 пока не настроен.

dpkg: ошибка при обработке параметра libsasl2-modules:amd64 (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет sasl2-bin:
 sasl2-bin зависит от libsasl2-2 (>= 2.1.25.dfsg1-6+deb7u1), однако:
  Пакет libsasl2-2:amd64 пока не настроен.

dpkg: ошибка при обработке параметра sasl2-bin (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 libsasl2-2:amd64
 exim4-config
 exim4-base
 exim4-daemon-light
 exim4
 libsasl2-modules:amd64
 sasl2-bin
E: Sub-process /usr/bin/dpkg returned an error code (1)


понимаю что что пакеты не дружат между собой, но как решить проблему так и не нашел... помогите в решении...
может как то поменять версию пакета можно или что-то еще в sources.list

deb http://ftp.debian.org/debian wheezy main contrib non-free
deb http://security.debian.org wheezy/updates main contrib non-free

спасибо
« Последнее редактирование: 09 Апреля 2014, 19:52:21 от endru »
 

Оффлайн qupl

vaynah, разрядность Debian какая? конфликт i386 и amd64 библиотек.

Оффлайн vaynah

vaynah, разрядность Debian какая? конфликт i386 и amd64 библиотек.

debian7-x86_64_isp_pro

как решить эту проблему не знаю... может посоветуете выбрать между 64 или 86? что лучше? в принципе могу позволить себе переустановить систему на то что лучше... и версию какую выбрать лучше 6 или 7?
 

Оффлайн endru

vaynah, сервер таким достался? или чтото уже успели на него поставить?
dpkg --audit
apt-get -f install

Оффлайн vaynah

vaynah, сервер таким достался? или чтото уже успели на него поставить?
dpkg --audit
apt-get -f install

достался таким... на него ничего не ставили, кроме mc htop mysqltuner

dpkg --audit выдает список

Spoiler: ShowHide

dpkg --audit
Следующие пакеты распакованы, но пока ещё не настроены.
Чтобы они заработали, их необходимо настроить с помощью команды
dpkg --configure или выбрав пункт "Настроить" в меню программы dselect:
 exim4-daemon-light   lightweight Exim MTA (v4) daemon
 sasl2-bin            Cyrus SASL - administration programs for SASL users datab
 libsasl2-modules:amd64 Cyrus SASL - pluggable authentication modules
 libsasl2-2:amd64     Cyrus SASL - authentication abstraction library
 exim4                metapackage to ease Exim MTA (v4) installation
 exim4-base           support files for all Exim MTA (v4) packages

Следующие пакеты настроены лишь частично. Вероятно, это связано с
с проблемами, возникшими при первой попытке настройки. Следует
провести настройку ещё раз с помощью команды dpkg --configure <package>
или пункта "Настроить" меню программы dselect:
 exim4-config         configuration for the Exim MTA (v4)
 libsasl2-2:i386      Cyrus SASL - authentication abstraction library
 libgphoto2-2:i386    gphoto2 digital camera library

У следующих пакетов отсутствуют управляющие файлы md5sums в базе данных,
их нужно переустановить:
 module-init-tools    transitional dummy package (module-init-tools to kmod)
 libaudio2:i386       Network Audio System - shared libraries
 binutils             GNU assembler, linker and binary utilities

Следующие пакеты принадлежат неизвестной неродной архитектуре, из-за чего
будут возникать проблемы зависимостей в оболочках управления. Это можно
исправить зарегистрировав неродную архитектуру выполнив
dpkg --add-architecture:
 ia32-libs-i386       Transitional package to migrate ia32-libs to multiarch
 libxdmcp6:i386       X11 Display Manager Control Protocol library
 libgl1-mesa-dri:i386 free implementation of the OpenGL API -- DRI modules
 libsane:i386         API library for scanners
 libfreetype6:i386    FreeType 2 font engine, shared library files
 libsysfs2:i386       interface library to sysfs
 libxmuu1:i386        X11 miscellaneous micro-utility library
 libxml2:i386         GNOME XML library
 libssl1.0.0:i386     SSL shared libraries
 libdbus-1-3:i386     simple interprocess messaging system (library)
 libvorbisfile3:i386  The Vorbis General Audio Compression Codec (High Level AP
 libflac8:i386        Free Lossless Audio Codec - runtime C library
 libffi5:i386         Foreign Function Interface library runtime
 libgdbm3:i386        GNU dbm database routines (runtime version)
 libexif12:i386       library to parse EXIF files
 libgcrypt11:i386     LGPL Crypto library - runtime library
 libsdl1.2debian:i386 Simple DirectMedia Layer
 libxinerama1:i386    X11 Xinerama extension library
 libuuid1:i386        Universally Unique ID library
 libaio1:i386         Linux kernel AIO access library - shared library
 libtasn1-3:i386      Manage ASN.1 structures (runtime)
 libjpeg62:i386       Independent JPEG Group's JPEG runtime library (version 6.
 libgssapi-krb5-2:i386 MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
 libv4l-0:i386        Collection of video4linux support libraries
 libpopt0:i386        lib for parsing cmdline parameters
 libpam0g:i386        Pluggable Authentication Modules library
 libusb-0.1-4:i386    userspace USB programming library
 libgpg-error0:i386   library for common error values and messages in GnuPG com
 libxss1:i386         X11 Screen Saver extension library
 libsamplerate0:i386  Audio sample rate conversion library
 libxslt1.1:i386      XSLT 1.0 processing library - runtime library
 libxcb-render-util0:i386 utility libraries for X C Binding -- render-util
 libk5crypto3:i386    MIT Kerberos runtime libraries - Crypto Library
 libdrm2:i386         Userspace interface to kernel DRM services -- runtime
 libdrm-nouveau1a:i386 Userspace interface to nouveau-specific kernel DRM servic
 libfontconfig1:i386  generic font configuration library - runtime
 libxext6:i386        X11 miscellaneous extension library
 libogg0:i386         Ogg bitstream library
 libts-0.0-0:i386     touch screen library
 liblzo2-2:i386       data compression library
 libxrender1:i386     X Rendering Extension client library
 libxpm4:i386         X11 pixmap library
 libtdb1:i386         Trivial Database - shared library
 libdrm-radeon1:i386  Userspace interface to radeon-specific kernel DRM service
 freeglut3:i386       OpenGL Utility Toolkit
 zlib1g:i386          compression library - runtime
 libxrandr2:i386      X11 RandR extension library
 libglu1-mesa:i386    Mesa OpenGL utility library (GLU)
 libxcb1:i386         X C Binding
 libgcc1:i386         GCC support library
 libxcomposite1:i386  X11 Composite extension library
 libxv1:i386          X11 Video extension library
 libasound2:i386      shared library for ALSA applications
 libieee1284-3:i386   cross-platform library for parallel port access
 libsqlite3-0:i386    SQLite 3 shared library
 libcups2:i386        Common UNIX Printing System(tm) - Core library
 libsvga1:i386        console SVGA display libraries
 libnspr4:i386        NetScape Portable Runtime Library
 libkeyutils1:i386    Linux Key Management Utilities (library)
 libodbc1:i386        ODBC library for Unix
 libvorbisenc2:i386   The Vorbis General Audio Compression Codec (Encoder libra
 libltdl7:i386        A system independent dlopen wrapper for GNU libtool
 libexpat1:i386       XML parsing C library - runtime library
 libdirectfb-1.2-9:i386 direct frame buffer graphics - shared libraries
 odbcinst1debian2:i386 Support library for accessing odbc ini files
 libjbig0:i386        JBIGkit libraries
 libxi6:i386          X11 Input extension library
 libattr1:i386        Extended attribute shared library
 libfltk1.1:i386      Fast Light Toolkit - shared libraries
 libidn11:i386        GNU Libidn library, implementation of IETF IDN specificat
 libxcb-render0:i386  X C Binding, render extension
 libpulse0:i386       PulseAudio client libraries
 libxcb-glx0:i386     X C Binding, glx extension
 libglapi-mesa:i386   free implementation of the GL API -- shared library
 libtiff4:i386        Tag Image File Format (TIFF) library (old version)
 librtmp0:i386        toolkit for RTMP streams (shared library)
 libaudiofile1:i386   Open-source version of SGI's audiofile library
 xaw3dg:i386          Xaw3d widget set
 libkrb5support0:i386 MIT Kerberos runtime libraries - Support library
 libgl1-mesa-glx:i386 free implementation of the OpenGL API -- GLX runtime
 libcomerr2:i386      common error description library
 libopenal1:i386      Software implementation of the OpenAL API (shared library
 libxfixes3:i386      X11 miscellaneous 'fixes' extension library
 libsndfile1:i386     Library for reading/writing audio files
 libxmu6:i386         X11 miscellaneous utility library
 libx86-1:i386        x86 real-mode library
 libmpg123-0:i386     MPEG layer 1/2/3 audio decoder (shared library)
 libnss3-1d:i386      Network Security Service libraries - transitional package
 libcurl3:i386        easy-to-use client-side URL transfer library (OpenSSL fla
 libxdamage1:i386     X11 damaged region extension library
 libxaw7:i386         X11 Athena Widget library
 libsasl2-2:i386      Cyrus SASL - authentication abstraction library
 libacl1:i386         Access control list shared library
 libaudio2:i386       Network Audio System - shared libraries
 libjpeg8:i386        Independent JPEG Group's JPEG runtime library
 libslang2:i386       S-Lang programming library - runtime version
 libavahi-common-data:i386 Avahi common data files
 libbsd0:i386         utility functions from BSD systems - shared library
 libxft2:i386         FreeType-based font drawing library for X
 libx11-6:i386        X11 client-side library
 libjack-jackd2-0:i386 JACK Audio Connection Kit (libraries)
 libsigc++-2.0-0c2a:i386 type-safe Signal Framework for C++ - runtime
 liblzma5:i386        XZ-format compression library
 lesstif2:i386        OSF/Motif 2.1 implementation released under LGPL
 libavahi-common3:i386 Avahi common library
 libgnutls26:i386     GNU TLS library - runtime library
 libdb5.1:i386        Berkeley v5.1 Database Libraries [runtime]
 libv4lconvert0:i386  Video4linux frame format conversion library
 libncursesw5:i386    shared libraries for terminal handling (wide character su
 liblcms1:i386        Little CMS color management library
 libxp6:i386          X Printing Extension (Xprint) client library
 libcaca0:i386        colour ASCII art library
 libdrm-intel1:i386   Userspace interface to intel-specific kernel DRM services
 libtinfo5:i386       shared low-level terminfo library for terminal handling
 libx11-xcb1:i386     Xlib/XCB interface library
 libvorbis0a:i386     The Vorbis General Audio Compression Codec (Decoder libra
 libgphoto2-2:i386    gphoto2 digital camera library
 libpciaccess0:i386   Generic PCI access library for X
 gcc-4.7-base:i386    GCC, the GNU Compiler Collection (base package)
 libavahi-client3:i386 Avahi client library
 libldap-2.4-2:i386   OpenLDAP libraries
 libnss3:i386         Network Security Service libraries
 libedit2:i386        BSD editline and history libraries
 libxtst6:i386        X11 Testing -- Record extension library
 libnspr4-0d:i386     NetScape Portable Runtime Library - transitional package
 libice6:i386         X11 Inter-Client Exchange library
 libesd0:i386         Enlightened Sound Daemon - Shared libraries
 libjson0:i386        JSON manipulation library - shared library
 libp11-kit0:i386     Library for loading and coordinating access to PKCS#11 mo
 libselinux1:i386     SELinux runtime shared libraries
 libc6:i386           Embedded GNU C Library: Shared libraries
 libsm6:i386          X11 Session Management library
 libxxf86vm1:i386     X11 XFree86 video mode extension library
 libpng12-0:i386      PNG library - runtime
 libxcursor1:i386     X cursor management library
 libstdc++6:i386      GNU Standard C++ Library v3
 libstdc++5:i386      The GNU Standard C++ Library v3
 libgphoto2-port0:i386 gphoto2 digital camera port library
 libasyncns0:i386     Asynchronous name service query library
 libxt6:i386          X11 toolkit intrinsics library
 libcap2:i386         support for getting/setting POSIX.1e capabilities
 libwrap0:i386        Wietse Venema's TCP wrappers library
 libkrb5-3:i386       MIT Kerberos runtime libraries
 libssh2-1:i386       SSH2 client-side library
 libxau6:i386         X11 authorisation library
« Последнее редактирование: 09 Апреля 2014, 20:11:17 от vaynah »
 

Оффлайн endru

vaynah,
apt-get update
dpkg --print-architecture

Оффлайн vaynah

vaynah,
apt-get update
dpkg --print-architecture

# dpkg --print-architecture

amd64
 

Оффлайн endru

dpkg --add-architecture i386
apt-get update
apt-get -f install

Оффлайн vaynah

# apt-get -f install
Spoiler: ShowHide

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 141 пакетов не обновлено.
не установлено до конца или удалено 4 пакетов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
Настраивается пакет exim4-config (4.80-7) …
2014-04-09 17:02:50 Exim configuration error in line 550 of /var/lib/exim4/config.autogenerated.tmp:
  authenticator cram: cannot find authenticator driver "cyrus_sasl"
Invalid new configfile /var/lib/exim4/config.autogenerated.tmp, not installing
/var/lib/exim4/config.autogenerated.tmp to /var/lib/exim4/config.autogenerated
dpkg: ошибка при обработке параметра exim4-config (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
dpkg: зависимости пакетов не позволяют настроить пакет exim4-base:
 exim4-base зависит от exim4-config (>= 4.30) | exim4-config-2, однако:
  Пакет exim4-config пока не настроен.
  Пакет exim4-config-2 не установлен.
  Пакет exim4-config, предоставляющий exim4-config-2, пока не настроен.

dpkg: ошибка при обработке параметра exim4-base (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет exim4-daemon-light:
 exim4-daemon-light зависит от exim4-base (>= 4.80), однако:
  Пакет exim4-base пока не настроен.

dpkg: ошибка при обработке параметра exim4-daemon-light (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет exim4:
 exim4 зависит от exim4-base (>= 4.80), однако:
  Пакет exim4-base пока не настроен.
 exim4 зависит от exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom, однако:
  Пакет exim4-daemon-light пока не настроен.
  Пакет exim4-daemon-heavy не установлен.
  Пакет exim4-daemon-custom не установлен.

dpkg: ошибка при обработке параметра exim4 (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 exim4-config
 exim4-base
 exim4-daemon-light
 exim4
E: Sub-process /usr/bin/dpkg returned an error code (1)


то что было до этого исчезло, после добавления архитектуры i386 (32 bit)

в файле по пути /var/lib/exim4/config.autogenerated.tmp 550 линия

cram:
  driver = cyrus_sasl
  public_name = CRAM-MD5
  server_set_id = $1

/var/lib/exim4/config.autogenerated такой же


« Последнее редактирование: 09 Апреля 2014, 21:07:19 от vaynah »
 

Оффлайн qupl

Попробуйте aptitude reinstall exim4-config exim4-base exim4-daemon-light exim4

Оффлайн endru

Re: ошибки при установки пакета (любого пакета)
« Ответ #10 : 09 Апреля 2014, 21:16:35 »
и если не поможет, то опять вывод:
dpkg --audit

Оффлайн vaynah

Re: ошибки при установки пакета (любого пакета)
« Ответ #11 : 09 Апреля 2014, 21:34:45 »
и если не поможет, то опять вывод:
aptitude reinstall exim4-config exim4-base exim4-daemon-light exim4

# aptitude reinstall exim4-config exim4-base exim4-daemon-light exim4
Spoiler: ShowHide

Следующие пакеты будут ПЕРЕУСТАНОВЛЕНЫ:         
  exim4 exim4-base exim4-config exim4-daemon-light
0 пакетов обновлено, 0 установлено новых, 4 переустановлено, 0 пакетов отмечено для удаления, и 141 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.
E: Internal Error, No file name for exim4-config:amd64


и если не поможет, то опять вывод:
dpkg --audit

# dpkg --audit
Spoiler: ShowHide

Следующие пакеты распакованы, но пока ещё не настроены.
Чтобы они заработали, их необходимо настроить с помощью команды
dpkg --configure или выбрав пункт "Настроить" в меню программы dselect:
 exim4-daemon-light   lightweight Exim MTA (v4) daemon
 exim4                metapackage to ease Exim MTA (v4) installation
 exim4-base           support files for all Exim MTA (v4) packages

Следующие пакеты настроены лишь частично. Вероятно, это связано с
с проблемами, возникшими при первой попытке настройки. Следует
провести настройку ещё раз с помощью команды dpkg --configure <package>
или пункта "Настроить" меню программы dselect:
 exim4-config         configuration for the Exim MTA (v4)

У следующих пакетов отсутствуют управляющие файлы md5sums в базе данных,
их нужно переустановить:
 module-init-tools    transitional dummy package (module-init-tools to kmod)
 libaudio2:i386       Network Audio System - shared libraries
 binutils             GNU assembler, linker and binary utilities



« Последнее редактирование: 09 Апреля 2014, 21:40:28 от vaynah »
 

Оффлайн qupl

Re: ошибки при установки пакета (любого пакета)
« Ответ #12 : 09 Апреля 2014, 21:50:53 »
apt-get remove exim4-config:i386 exim4-base exim4-daemon-light exim4
apt-get install exim4-base exim4-daemon-light exim4

Оффлайн vaynah

Re: ошибки при установки пакета (любого пакета)
« Ответ #13 : 09 Апреля 2014, 21:56:23 »
apt-get remove exim4-config:i386 exim4-base exim4-daemon-light exim4
apt-get install exim4-base exim4-daemon-light exim4

нашел вот такое решение в сети
Spoiler: ShowHide

Exim configuration error in line 370 of /var/lib/exim4/config.autogenerated: authenticator cram: cannot find authenticator driver «cyrus_sasl»

apt-get install libsasl2 sasl2-bin libsasl2-modules
Внесите в /etc/default/saslauthd следующие изменения:
START=yes
MECHANISMS=«pam»

/etc/exim4/exim4.conf.template было както так
cram:
  driver = cyrus_sasl
  public_name = CRAM-MD5
  server_set_id = $1

plain:
  driver = cyrus_sasl
  public_name = PLAIN
  server_set_id = $1

login:
  driver = cyrus_sasl
  public_name = LOGIN
  server_set_id = $1


меняем на вот это
Spoiler: ShowHide

cram:
  driver = plaintext
#  driver = cyrus_sasl
  public_name = CRAM-MD5
  server_set_id = $1

plain:
  driver = plaintext
#  driver = cyrus_sasl
  public_name = PLAIN
  server_set_id = $1

login:
  driver = plaintext
#  driver = cyrus_sasl
  public_name = LOGIN
  server_set_id = $1


подскажите это правильное решение???
псоле этого все команды проходят и ошибок нет...
« Последнее редактирование: 09 Апреля 2014, 21:58:25 от vaynah »
 

Оффлайн qupl

Re: ошибки при установки пакета (любого пакета)
« Ответ #14 : 09 Апреля 2014, 22:11:52 »
Это надо спросить знатоков exim-а. Вроде как cyrus_sasl отвечает за авторизацию, то есть, возможно, будет работать другой ее вид.

Проблемы с пакетами все равно нужно решить (переустановить предлагаемые dpkg).

Теги:
     

    Ошибки в error логах апача

    Автор JesterSoft

    Ответов: 1
    Просмотров: 1832
    Последний ответ 07 Февраля 2013, 14:29:50
    от easy
    joomla CMS, при создании статьи ошибки в php [РЕШЕНО]

    Автор dsdsda

    Ответов: 1
    Просмотров: 501
    Последний ответ 13 Октября 2020, 16:42:06
    от dsdsda
    Ошибки php-fpm (SIGKILL) и (SIGABRT)

    Автор cyrax

    Ответов: 3
    Просмотров: 2367
    Последний ответ 12 Августа 2017, 12:13:02
    от BegU
    Как добавить картинку на страницу ошибки nginx?

    Автор Sferg

    Ответов: 1
    Просмотров: 1995
    Последний ответ 15 Сентября 2013, 01:28:17
    от agentgoblin
    Появилась ошибки rsyslogd:,imklog: error reading kernel log - shutting down: Bad

    Автор lenin

    Ответов: 1
    Просмотров: 1414
    Последний ответ 08 Июля 2017, 10:54:20
    от lenin